#ifndef _H_AFC690894F6406A971B16F15AB95830E_Log__H_
#define _H_AFC690894F6406A971B16F15AB95830E_Log__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace rcl_interfaces
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet Log__DEBUG = 10;

            const ::DDS::Octet Log__INFO = 20;

            const ::DDS::Octet Log__WARN = 30;

            const ::DDS::Octet Log__ERROR = 40;

            const ::DDS::Octet Log__FATAL = 50;

            struct  Log_
            {
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
                ::DDS::Octet level_;
                ::DDS::String_mgr name_;
                ::DDS::String_mgr msg_;
                ::DDS::String_mgr file_;
                ::DDS::String_mgr function_;
                ::DDS::ULong line_;
            };

            typedef DDS_DCPSStruct_var<Log_> Log__var;
            typedef DDS_DCPSStruct_out < Log_> Log__out;

        }

    }

}

#endif /* _H_AFC690894F6406A971B16F15AB95830E_Log__H_ */
